--[[****************************************************************
	GemWatch v0.70

	Author: Brandorf
	****************************************************************]]
	-- 0.80 Added strings for Dragon's Eye support.
	-- 0.70 Added localization support.  
   
	--default, English
	--Gem categories, these must match how the gems are sorted on the auction house.
local debug = false
GemWatch_Localization = setmetatable({
	['GEMWATCH_RED_GEM'] = "Red",
	['GEMWATCH_ORANGE_GEM'] = "Orange",
	['GEMWATCH_YELLOW_GEM'] = "Yellow",
	['GEMWATCH_GREEN_GEM'] = "Green",
	['GEMWATCH_BLUE_GEM'] = "Blue",
	['GEMWATCH_PURPLE_GEM'] = "Purple",
	['GEMWATCH_META_GEM'] = "Meta",
	['GEMWATCH_SIMPLE_GEM'] = "Simple", --Not used currently, but for completeness
	['GEMWATCH_PRISMATIC_GEM'] = "Prismatic",
	['GEMWATCH_DRAGONEYE_GEM'] = "Dragon's Eye",
		
	--Mouseover label text
	['GEMWATCH_CONTRIBUTION'] = "Contribution from",
	['GEMWATCH_SOCKET'] = "socket",
	['GEMWATCH_GEMS'] = "gems",
	
	['GEMWATCH_EMPTY_RED_SOCKETS'] = "You have empty red sockets in:",
	['GEMWATCH_EMPTY_RED_SOCKETS_LABEL'] = "Empty Red Sockets",
	['GEMWATCH_EMPTY_YELLOW_SOCKETS'] = "You have empty yellow sockets in:",
	['GEMWATCH_EMPTY_YELLOW_SOCKETS_LABEL'] = "Empty Yellow Sockets:",
	['GEMWATCH_EMPTY_BLUE_SOCKETS'] = "You have empty blue sockets in:",
	['GEMWATCH_EMPTY_BLUE_SOCKETS_LABEL'] = "Empty Blue Sockets",
	['GEMWATCH_EMPTY_PRISMATIC_SOCKETS'] = "You have empty prismatic sockets in:",
	['GEMWATCH_EMPTY_PRISMATIC_SOCKETS_LABEL'] = "Empty Prismatic Sockets",
	['GEMWATCH_EMPTY_META_SOCKET'] = "You do not have a meta gem in:",
	['GEMWATCH_EMPTY_META_SOCKET_LABEL'] = "Empty Meta Socket",
	['GEMWATCH_DRAGONEYE_SOCKET'] = "You have Dragon's eyes socketed in:",
	
	--Keybinding info (Obsolete)
	['BINDING_HEADER_GEMWATCH'] = "GemWatch bindings",
	['BINDING_NAME_TOGGLEGEMWATCH'] = "Toggle GemWatch",
	
	-- Slash command text
	['GEMWATCH_GUIDE_TOGGLE'] = " toggle <--  Toggle gem display in character window.",
	['GEMWATCH_GUIDE_POS'] = " pos <1-6> <--  Select position for gem icons.",
	['GEMWATCH_GUIDE_DEBUG'] = " debug <--  toggle debugging output.",
	['GEMWATCH_GUIDE_OVERRIDE'] = " override <--  Force gem colors from client.  Use this if detection doesn't work properly for your locale.",
	['GEMWATCH_GUIDE_JEWELER'] = " jeweler <-- Enable counting of Jewelcrafter-only gems.",
	['GEMWATCH_GUIDE_HELP'] = " ? <--  Show brief help",
	['GEMWATCH_LOADED'] = "Loaded",
	
	-- Slash command output
	['GEMWATCH_GUIDE_DEBUG_ON'] = "Debug output is now ON.",
	['GEMWATCH_GUIDE_DEBUG_OFF'] = "Debug output is now OFF.",
	['GEMWATCH_GUIDE_OVERRIDE_ON'] = "Localization overide is now ON.  Reload for this to take effect.",
	['GEMWATCH_GUIDE_OVERRIDE_OFF'] = "Localization overide is now OFF. Reload for this to take effect.",
	['GEMWATCH_GUIDE_JEWELER_ON']= "Dragon's eye counting is now ON.",
	['GEMWATCH_GUIDE_JEWELER_OFF']= "Dragon's eye counting is now OFF.",
	
	--Debugging output (optional to translate)
	['GEMWATCH_DEBUG_INV_SCAN'] = "Scanning Inventory...",
	['GEMWATCH_DEBUG_META_SCAN'] = "Parsing Metagem",
	['GEMWATCH_DEBUG_META_INACTIVE'] = "Meta is NOT Active",
	['GEMWATCH_DEBUG_META_ACTIVE'] = "Meta is Active",
	['GEMWATCH_DEBUG_EMPTY_META'] = "Found empty Meta socket in ",
	['GEMWATCH_DEBUG_EMPTY_RED'] = "Found empty Red socket in ",
	['GEMWATCH_DEBUG_EMPTY_YELLOW'] = "Found empty Yellow socket in ",
	['GEMWATCH_DEBUG_EMPTY_BLUE'] = "Found empty Blue socket in ",
	['GEMWATCH_DEBUG_EMPTY_PRISM'] = "Found empty Prismatic socket in ",
	['GEMWATCH_DEBUG_FOUND_DRAGONEYE'] = "Found a Dragon's eye in ",
	['GEMWATCH_DEBUG_PROFESSION_NOTJC'] = "This character is not a JC, disabling display.",
	},
	{__index = function(self, key)
       if debug then ChatFrame3:AddMessage('Please localize: '..tostring(key)) end
       rawset(self, key, key)
       return key
   end })
